App\Library\Amazon\Classes\Autobattery:
    xml_root_name: Autobattery
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\Autobattery\VariationDataAType
        colorSpecification:
            expose: true
            access_type: public_method
            serialized_name: ColorSpecification
            accessor:
                getter: getColorSpecification
                setter: setColorSpecification
            type: App\Library\Amazon\Classes\Autobattery\ColorSpecificationAType
        partInterchangeData:
            expose: true
            access_type: public_method
            serialized_name: PartInterchangeData
            accessor:
                getter: getPartInterchangeData
                setter: setPartInterchangeData
            type: App\Library\Amazon\Classes\Autobattery\PartInterchangeDataAType
        vehicleFitmentCode:
            expose: true
            access_type: public_method
            serialized_name: VehicleFitmentCode
            accessor:
                getter: getVehicleFitmentCode
                setter: setVehicleFitmentCode
            type: string
        vehicleFitmentNote:
            expose: true
            access_type: public_method
            serialized_name: VehicleFitmentNote
            accessor:
                getter: getVehicleFitmentNote
                setter: setVehicleFitmentNote
            type: string
        vehicleFitmentStandard:
            expose: true
            access_type: public_method
            serialized_name: VehicleFitmentStandard
            accessor:
                getter: getVehicleFitmentStandard
                setter: setVehicleFitmentStandard
            type: string
        batteryWeight:
            expose: true
            access_type: public_method
            serialized_name: BatteryWeight
            accessor:
                getter: getBatteryWeight
                setter: setBatteryWeight
            type: float
        batteryCapacity:
            expose: true
            access_type: public_method
            serialized_name: BatteryCapacity
            accessor:
                getter: getBatteryCapacity
                setter: setBatteryCapacity
            type: App\Library\Amazon\Classes\BatteryPowerDimensionType
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: integer
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: integer
        amperage:
            expose: true
            access_type: public_method
            serialized_name: Amperage
            accessor:
                getter: getAmperage
                setter: setAmperage
            type: App\Library\Amazon\Classes\AmperageDimensionType
        warrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: WarrantyDescription
            accessor:
                getter: getWarrantyDescription
                setter: setWarrantyDescription
            type: string
        efficiency:
            expose: true
            access_type: public_method
            serialized_name: Efficiency
            accessor:
                getter: getEfficiency
                setter: setEfficiency
            type: string
